$(document).ready(function() {

  $(document).on("pagecontainerbeforehide", function (event, ui) {
  $('#yjpost').empty();
  $('#sharethispost').empty();
  }); //empty single post on pagecontainerbeforehide
  
}); //document.ready

function listPosts(data) {
  var output = '<form class="ui-filterable"><input id="searchposts" data-type="search"></form>';

  output += '<ul data-role="listview" class="ui-nodisc-icon ui-alt-icon" data-filter="true" data-input="#searchposts">';
  $.each(data.posts, function(key, val) {

    var tempDiv = document.createElement("tempDiv");
    tempDiv.innerHTML = val.excerpt;
    $("a", tempDiv).remove();
    var excerpt = tempDiv.innerHTML;
    
    output += '<li>';
    output += '<a href="#blogpost" onclick = "showPost(' + val.ID + ')">';
    output += (val.featured_image) ?
    '<img src="' + val.featured_image.replace(".jpg", "-150x150.jpg") + '" alt="' + val.title + '">':
    '<img src="img/yj-logo-icon-150.png" alt="Yaun Jigyasa Logo Icon">';
    output += '<h3>' + val.title + "</h3>";
    output += '<p>' + excerpt + "</p>";
    output += '</a>';
    output += '</li>';
  }); //go through each post
  output += "</ul>";
  $('#postlist').html(output);
} //listPosts

https://public-api.wordpress.com/rest/v1/sites/68442709/posts/422

function showPost(id) {
  $.getJSON('https://public-api.wordpress.com/rest/v1/sites/68442709/posts/' + id, function(data) {
    var output = '<h3>' + data.title + '</h3>';
    output += '<small>Posted on: ' + data.date.substring(0, 10) + '</small>';
    output += data.content;
    $('#yjpost').html(output);
    var sharethispost = '<button class="ui-btn ui-icon-action ui-btn-icon-left ui-shadow-icon ui-btn-b" onclick="window.plugins.socialsharing.share(\'' + data.title + '\', null, null, \'' + data.URL + '\')">SHARE THIS POST</button>';
    $('#sharethispost').html(sharethispost);
  });
}